<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gco="http://www.isotc211.org/2005/gco" xmlns:gmd="http://www.isotc211.org/2005/gmd" xmlns:csw="http://www.opengis.net/cat/csw/2.0.2">

	<xsl:output method="html"></xsl:output>

	<xsl:param name="MISSINGIMG">no overview available</xsl:param>
	<xsl:param name="RESULTNO">2856 hits out of 17453 available metadata sets</xsl:param>
	
	<xsl:template match="csw:GetRecordsResponse">		
		<xsl:apply-templates select="csw:SearchResults/gmd:MD_Metadata"></xsl:apply-templates>		
	</xsl:template>
	 
	<xsl:template match="gmd:MD_Metadata">
		<xsl:variable name="ABSTRACT">
			<xsl:value-of select="./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:abstract/gco:CharacterString"/>
		</xsl:variable>
		<xsl:variable name="ID">
			<xsl:value-of select="./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:identifier[1]/gmd:MD_Identifier/gmd:code/gco:CharacterString"/>
		</xsl:variable>
		<xsl:variable name="BBOX">
			<xsl:value-of select="concat( ./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:extent/gmd:EX_Extent/gmd:geographicElement/gmd:EX_GeographicBoundingBox/gmd:westBoundLongitude/gco:Decimal, ' ',
							                          ./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:extent/gmd:EX_Extent/gmd:geographicElement/gmd:EX_GeographicBoundingBox/gmd:southBoundLatitude/gco:Decimal,' ',
							                          ./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:extent/gmd:EX_Extent/gmd:geographicElement/gmd:EX_GeographicBoundingBox/gmd:eastBoundLongitude/gco:Decimal,' ',
							                          ./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:extent/gmd:EX_Extent/gmd:geographicElement/gmd:EX_GeographicBoundingBox/gmd:northBoundLatitude/gco:Decimal)"/>
		</xsl:variable>
		<tr>
		   <td width="15px"/>
		   <td width="500px">
			   <p><xsl:value-of select="position()-1"/> .<b><xsl:value-of select="./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:title/gco:CharacterString"/></b></p>
			   <p><font size="-1"><xsl:value-of select="substring( $ABSTRACT, 0, 70 )"/> ...</font></p>
			   <p>last update: <xsl:value-of select="gmd:dateStamp/gco:Date"/></p>
			   <p>
			   <table border="0">
					<tr>
						<td>
							<a class="button">
								<xsl:attribute name="href">javascript:loadFullMetadataSet( '<xsl:value-of select="$ID"/>' )</xsl:attribute>
								full metadataset
							</a>
						</td>
						<td width="5"></td>
						<td>
							<a class="button">
							<xsl:attribute name="href">javascript:loadFullMetadataSet( '<xsl:value-of select="$BBOX"/>' )</xsl:attribute>
							show envelope in map
							</a>
						</td>
<!--							
						<td width="5"></td>
						<td><a class="button">add to shopping cart</a></td>
-->
					</tr>
				</table>			    
			   </p>
		   </td>
		   <td width="15"></td>
		   <td width="100">
			   <xsl:choose>
					<xsl:when test="boolean( ./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:graphicOverview/gmd:MD_BrowseGraphic/gmd:fileName )">
						<img width="120" height="120" alt="">
							<xsl:attribute name="src">
								<xsl:value-of select="./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:graphicOverview/gmd:MD_BrowseGraphic/gmd:fileName/gco:CharacterString"></xsl:value-of>
							</xsl:attribute>
						</img>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$MISSINGIMG"/>
					</xsl:otherwise>
				</xsl:choose>			   
		   </td>
	   </tr>
	</xsl:template>
	
</xsl:stylesheet>